> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/upload-filer-med-geopard-apiet.md).

# Upload filer med GeoPard API'et

{% hint style="success" %}
Den anbefalede fremgangsmåde for filer over 6 MB er [flowet med forhåndssigneret URL](/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/55.-upload-zip-filer-over-6-mb.md).
{% endhint %}

GeoPard API giver mulighed for at uploade zip-arkiver med soil/yield/applied/boundary-datasæt til videre behandling og analyse.

{% hint style="danger" %}
På grund af en AWS-begrænsning er den maksimale filstørrelse, du kan uploade via dette REST-endpoint, 6 MB.
{% endhint %}

Uploadtrinene for filer over 6 MB er beskrevet i [Upload zip-filer (over 6 MB)](/geopard-tutorials/dnk/api-dokumentation/overblik-over-geopard-api-anmodninger/55.-upload-zip-filer-over-6-mb.md).

Lige efter en vellykket upload af soil/yield/applied-datasættet kobler GeoPard-motoren det til de relevante marker, der ligger inden for den definerede farm.

Lige efter en vellykket upload af boundary-datasættet starter GeoPard-motoren behandlingen.

Svaret indeholder en `<uuid>` som du kan bruge til at følge behandlingsstatus.

#### Eksempel på anmodning:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrene er:

1. `<type>` - typen af det uploadede datasæt. Det skal være en `yield` ELLER `soil` ELLER `applied` ELLER `boundary`.
2. `<farm_uuid>` - `uuid` for den Farm, hvor filen vil blive uploadet (valgfrit).
3. `<token>` - GeoPard-adgangstoken.
4. `@path/to/file.zip` - stien til filen, der uploades.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/upload-filer-med-geopard-apiet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
